GNU bug report logs - #23828
unsupported sexp item type #f ```

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: David Craven <david@HIDDEN>; merged with #22459; dated Wed, 22 Jun 2016 17:09:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 22459 23828. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 23828 <at> debbugs.gnu.org:


Received: (at 23828) by debbugs.gnu.org; 23 Jun 2016 12:54:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 08:54:56 2016
Received: from localhost ([127.0.0.1]:51909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bG49o-0007a3-4M
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2016 08:54:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1bG49m-0007Zm-Ru
 for 23828 <at> debbugs.gnu.org; Thu, 23 Jun 2016 08:54:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1bG49e-0008Ro-Pj
 for 23828 <at> debbugs.gnu.org; Thu, 23 Jun 2016 08:54:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.3 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34881)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1bG49S-0008Pu-Le; Thu, 23 Jun 2016 08:54:34 -0400
Received: from pluto.bordeaux.inria.fr ([193.50.110.57]:52114 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1bG49R-0003bb-S4; Thu, 23 Jun 2016 08:54:34 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: David Craven <david@HIDDEN>
Subject: Re: bug#23828: unsupported sexp item type #f ```
References: <CAL1_imns2U96NP-CWhU3uxN7+MDmnL9MEBPHNym=cGnqZ_2PaA@HIDDEN>
 <87mvmclxqv.fsf@HIDDEN>
 <CAL1_immTgxUvhD1LUC6p0AJoyRZ+GcPNeqchbJrtAb7N_8TChg@HIDDEN>
 <87d1n8s51h.fsf@HIDDEN>
 <CAL1_imkqvVf_usHcp54PmNfLPb5aPQB5sFe+gPkyw2KBz+dGUQ@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 6 Messidor an 224 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Thu, 23 Jun 2016 14:54:31 +0200
In-Reply-To: <CAL1_imkqvVf_usHcp54PmNfLPb5aPQB5sFe+gPkyw2KBz+dGUQ@HIDDEN>
 (David Craven's message of "Thu, 23 Jun 2016 10:26:09 +0200")
Message-ID: <87wplgoyk8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 23828
Cc: 23828 <at> debbugs.gnu.org, request <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

merge 23828 22459
thanks

David Craven <david@HIDDEN> skribis:

> The usage of NIX environment variables is a problem when trying to
> coexist with nix on nixos.
> ```
> (define %config-directory
>   ;; This must match `NIX_CONF_DIR' as defined in `nix/local.mk'.
>   (or (getenv "NIX_CONF_DIR") "@guix_sysconfdir@/guix"))
> ```

Oh, good point.  I assume this was the root of the problems, right?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#23828; Package guix. Full text available.

Message received at 23828 <at> debbugs.gnu.org:


Received: (at 23828) by debbugs.gnu.org; 23 Jun 2016 08:06:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 04:06:33 2016
Received: from localhost ([127.0.0.1]:51740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bFzei-0007Qy-RG
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2016 04:06:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1bFzeh-0007Qm-Jl
 for 23828 <at> debbugs.gnu.org; Thu, 23 Jun 2016 04:06:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1bFzeZ-0002eA-AV
 for 23828 <at> debbugs.gnu.org; Thu, 23 Jun 2016 04:06:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57885)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1bFzeZ-0002e6-6m; Thu, 23 Jun 2016 04:06:23 -0400
Received: from pluto.bordeaux.inria.fr ([193.50.110.57]:49316 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1bFzeY-0000TQ-0A; Thu, 23 Jun 2016 04:06:22 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: David Craven <david@HIDDEN>
Subject: Re: bug#23828: unsupported sexp item type #f ```
References: <CAL1_imns2U96NP-CWhU3uxN7+MDmnL9MEBPHNym=cGnqZ_2PaA@HIDDEN>
 <87mvmclxqv.fsf@HIDDEN>
 <CAL1_immTgxUvhD1LUC6p0AJoyRZ+GcPNeqchbJrtAb7N_8TChg@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 6 Messidor an 224 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Thu, 23 Jun 2016 10:06:18 +0200
In-Reply-To: <CAL1_immTgxUvhD1LUC6p0AJoyRZ+GcPNeqchbJrtAb7N_8TChg@HIDDEN>
 (David Craven's message of "Thu, 23 Jun 2016 05:37:59 +0200")
Message-ID: <87d1n8s51h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 23828
Cc: 23828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.5 (------)

David Craven <david@HIDDEN> skribis:

> I'm running guix from
> `/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin` since I
> don't have my profile/PATH setup correctly yet. I was under the
> impression that `./guix package -i guix` would create the right
> symlinks in `/var/guix/profiles/per-user`.

OK.

> Weird, `/etc/guix/acl` doesn't contain anything but `/etc/nix/acl` does:
> ```
> sudo cat /etc/nix/acl
> (acl
>  (entry
>   ()
>   (tag
>    (guix import)
>    )
>   )
>  )
> ```

This is clearly bogus (the =E2=80=9C()=E2=80=9D above).  Guix only creates =
and uses
/etc/guix/acl, not /etc/nix/acl.

Could it be that /etc/guix is a symlink to /etc/nix, or something like
that?

> After `sudo rm -f /etc/nix/acl` guix or guix-daemon recreates the same
> file and exits with the same stack trace.

By default, Guix ensures that at least your own key, if it exists, is
part of the ACL; this happens in =E2=80=98ensure-acl=E2=80=99, in guix/pki.=
scm.

I suspect that in your case /etc/guix/signing-key.pub is not a valid
key, which is why =E2=80=98ensure-acl=E2=80=99 ends up adding =E2=80=9C()=
=E2=80=9D.  Could you post the
contents of /etc/guix/signing-key.pub?  (It=E2=80=99s a public key, so doin=
g it
is OK.)

Possibly this has to do with /etc/guix pointing to /etc/nix, and
/etc/nix/signing-key.pub being a public key in the format that Nix uses,
which is a completely different format.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#23828; Package guix. Full text available.

Message received at 23828 <at> debbugs.gnu.org:


Received: (at 23828) by debbugs.gnu.org; 23 Jun 2016 03:38:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 23:38:06 2016
Received: from localhost ([127.0.0.1]:51683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bFvSw-0000wz-Hg
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2016 23:38:06 -0400
Received: from mail-yw0-f177.google.com ([209.85.161.177]:36328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david@HIDDEN>) id 1bFvSv-0000wU-Pl
 for 23828 <at> debbugs.gnu.org; Wed, 22 Jun 2016 23:38:06 -0400
Received: by mail-yw0-f177.google.com with SMTP id b72so61003829ywa.3
 for <23828 <at> debbugs.gnu.org>; Wed, 22 Jun 2016 20:38:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=craven.ch; s=google;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=p3WXlQk5B0WvnmT4i/D96LRcLECYl9u7Ck8oZlYZj9c=;
 b=YV00gtuKv9AG+bKMpNwVbl+S2C/0JsHlBe53KK3g9Q9N/Gf5B7bvdHvoZWQ4geVup3
 +SYvXDSXCrz5FwAAhFGn7sCm8OiSMRkV3Vua1rsrwR1+5ou2UqtB7gy7eaGx/UvWNDe5
 RiK1uLihmBfzOtEtxC5TT6z7migcCycnke3k4=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=p3WXlQk5B0WvnmT4i/D96LRcLECYl9u7Ck8oZlYZj9c=;
 b=OUbJMD9SRiXygmoHs4tV6LEeh6F3zemGG3Vb60z007BmAQESutOzmOcEWyBMu/UYlZ
 QOKZ/3P7f2WPe25OAjKSbI1vaZjf/1RL+fFAj52lRD7Stj1etWlCejhzOb/+mxx1L4PA
 1iMP8yJFXskW+upjjmsMw4wZXxyDGknvbR3RCZavHMPWnJCah9f036x2EaixQQzMlC/i
 3sd6GOUvpVu987jh21KqRxJv6W0+kywis13yGMSZ36pio548aMq1bOvq3c8P4BfH8F2D
 1DQWGaIEEMhyDfz6RX7Ckv2a6Iks/ioo8OKtqWUmNFnyFyVjVO1e1gOpB3VN0W1UuZrA
 syFQ==
X-Gm-Message-State: ALyK8tKtEvNhzhjxge6mGgdyXV5izz8q9FTcToW6C1YNeDKBZbpl7zrJplJguAYX7lySt93SK1l0bpnX8EC85g==
X-Received: by 10.37.205.196 with SMTP id d187mr3917641ybf.90.1466653079895;
 Wed, 22 Jun 2016 20:37:59 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.37.106.137 with HTTP; Wed, 22 Jun 2016 20:37:59 -0700 (PDT)
X-Originating-IP: [151.248.148.210]
In-Reply-To: <87mvmclxqv.fsf@HIDDEN>
References: <CAL1_imns2U96NP-CWhU3uxN7+MDmnL9MEBPHNym=cGnqZ_2PaA@HIDDEN>
 <87mvmclxqv.fsf@HIDDEN>
From: David Craven <david@HIDDEN>
Date: Thu, 23 Jun 2016 05:37:59 +0200
Message-ID: <CAL1_immTgxUvhD1LUC6p0AJoyRZ+GcPNeqchbJrtAb7N_8TChg@HIDDEN>
Subject: Re: bug#23828: unsupported sexp item type #f ```
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23828
Cc: 23828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

I'm running guix from
`/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin` since I
don't have my profile/PATH setup correctly yet. I was under the
impression that `./guix package -i guix` would create the right
symlinks in `/var/guix/profiles/per-user`.

Weird, `/etc/guix/acl` doesn't contain anything but `/etc/nix/acl` does:
```
sudo cat /etc/nix/acl
(acl
 (entry
  ()
  (tag
   (guix import)
   )
  )
 )
```

After `sudo rm -f /etc/nix/acl` guix or guix-daemon recreates the same
file and exits with the same stack trace.

Thank you
David

On Wed, Jun 22, 2016 at 11:28 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote=
:
> Hi,
>
> David Craven <david@HIDDEN> skribis:
>
>> Maybe not a bug, but I'm getting the same backtrace when trying to run
>> ./guix archive or ./guix package -i guix or ./guix pull.
>
> Do you really type =E2=80=9C./guix=E2=80=9D?  From which directory?
>
>> bin  sudo ./guix archive --authorize < ../share/guix/hydra.gnu.org.pub
>>
>> /gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin
>> warning: failed to install locale: Invalid argument
>> Backtrace:
>> In ice-9/boot-9.scm:
>>  157: 17 [catch #t #<catch-closure 18097a0> ...]
>> In unknown file:
>>    ?: 16 [apply-smob/1 #<catch-closure 18097a0>]
>> In ice-9/boot-9.scm:
>>   63: 15 [call-with-prompt prompt0 ...]
>> In ice-9/eval.scm:
>>  432: 14 [eval # #]
>> In ice-9/boot-9.scm:
>> 2401: 13 [save-module-excursion #<procedure 1826940 at
>> ice-9/boot-9.scm:4045:3 ()>]
>> 4050: 12 [#<procedure 1826940 at ice-9/boot-9.scm:4045:3 ()>]
>> 1724: 11 [%start-stack load-stack ...]
>> 1729: 10 [#<procedure 183eea0 ()>]
>> In unknown file:
>>    ?: 9 [primitive-load
>> "/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin/.guix-real"=
]
>> In guix/ui.scm:
>> 1188: 8 [run-guix-command archive "--authorize"]
>> In ice-9/boot-9.scm:
>>  157: 7 [catch srfi-34 #<procedure 276d1c0 at guix/ui.scm:419:2 ()> ...]
>>  157: 6 [catch system-error ...]
>> In guix/scripts/archive.scm:
>>  328: 5 [#<procedure 276c7b0 at guix/scripts/archive.scm:318:2 ()>]
>>  303: 4 [authorize-key]
>> In ice-9/boot-9.scm:
>>  702: 3 [map #<procedure sexp->canonical-sexp (sexp)> (#f)]
>> In guix/pk-crypto.scm:
>>  375: 2 [sexp->canonical-sexp #f]
>> In unknown file:
>>    ?: 1 [call-with-output-string #<procedure 27704a0 at
>> guix/pk-crypto.scm:376:5 (port)>]
>>    ?: 0 [scm-error misc-error #f "~A ~S" ("unsupported sexp item type" #=
f) #f]
>>
>> ERROR: In procedure scm-error:
>> ERROR: unsupported sexp item type #f
>
> Could it be that /etc/guix/acl contains bogus data?
>
> Could you try, as root:
>
>   rm -f /etc/guix/acl
>   guix archive --authorize < /path/to/hydra.gnu.org.pub
>
> ?
>
> Thanks for the report,
> Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#23828; Package guix. Full text available.

Message received at 23828 <at> debbugs.gnu.org:


Received: (at 23828) by debbugs.gnu.org; 22 Jun 2016 21:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 17:28:23 2016
Received: from localhost ([127.0.0.1]:51570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bFph9-0007bH-Jq
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2016 17:28:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1bFph7-0007b4-V5
 for 23828 <at> debbugs.gnu.org; Wed, 22 Jun 2016 17:28:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1bFpgz-0003Kn-4K
 for 23828 <at> debbugs.gnu.org; Wed, 22 Jun 2016 17:28:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47692)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1bFpgz-0003Jf-0b; Wed, 22 Jun 2016 17:28:13 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:49656 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1bFpgw-000741-My; Wed, 22 Jun 2016 17:28:11 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: David Craven <david@HIDDEN>
Subject: Re: bug#23828: unsupported sexp item type #f ```
References: <CAL1_imns2U96NP-CWhU3uxN7+MDmnL9MEBPHNym=cGnqZ_2PaA@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Messidor an 224 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Wed, 22 Jun 2016 23:28:08 +0200
In-Reply-To: <CAL1_imns2U96NP-CWhU3uxN7+MDmnL9MEBPHNym=cGnqZ_2PaA@HIDDEN>
 (David Craven's message of "Wed, 22 Jun 2016 18:44:55 +0200")
Message-ID: <87mvmclxqv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 23828
Cc: 23828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.5 (------)

Hi,

David Craven <david@HIDDEN> skribis:

> Maybe not a bug, but I'm getting the same backtrace when trying to run
> ./guix archive or ./guix package -i guix or ./guix pull.

Do you really type =E2=80=9C./guix=E2=80=9D?  From which directory?

> bin  sudo ./guix archive --authorize < ../share/guix/hydra.gnu.org.pub
>
> /gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin
> warning: failed to install locale: Invalid argument
> Backtrace:
> In ice-9/boot-9.scm:
>  157: 17 [catch #t #<catch-closure 18097a0> ...]
> In unknown file:
>    ?: 16 [apply-smob/1 #<catch-closure 18097a0>]
> In ice-9/boot-9.scm:
>   63: 15 [call-with-prompt prompt0 ...]
> In ice-9/eval.scm:
>  432: 14 [eval # #]
> In ice-9/boot-9.scm:
> 2401: 13 [save-module-excursion #<procedure 1826940 at
> ice-9/boot-9.scm:4045:3 ()>]
> 4050: 12 [#<procedure 1826940 at ice-9/boot-9.scm:4045:3 ()>]
> 1724: 11 [%start-stack load-stack ...]
> 1729: 10 [#<procedure 183eea0 ()>]
> In unknown file:
>    ?: 9 [primitive-load
> "/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin/.guix-real"]
> In guix/ui.scm:
> 1188: 8 [run-guix-command archive "--authorize"]
> In ice-9/boot-9.scm:
>  157: 7 [catch srfi-34 #<procedure 276d1c0 at guix/ui.scm:419:2 ()> ...]
>  157: 6 [catch system-error ...]
> In guix/scripts/archive.scm:
>  328: 5 [#<procedure 276c7b0 at guix/scripts/archive.scm:318:2 ()>]
>  303: 4 [authorize-key]
> In ice-9/boot-9.scm:
>  702: 3 [map #<procedure sexp->canonical-sexp (sexp)> (#f)]
> In guix/pk-crypto.scm:
>  375: 2 [sexp->canonical-sexp #f]
> In unknown file:
>    ?: 1 [call-with-output-string #<procedure 27704a0 at
> guix/pk-crypto.scm:376:5 (port)>]
>    ?: 0 [scm-error misc-error #f "~A ~S" ("unsupported sexp item type" #f=
) #f]
>
> ERROR: In procedure scm-error:
> ERROR: unsupported sexp item type #f

Could it be that /etc/guix/acl contains bogus data?

Could you try, as root:

  rm -f /etc/guix/acl
  guix archive --authorize < /path/to/hydra.gnu.org.pub

?

Thanks for the report,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#23828; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jun 2016 17:08:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 13:08:44 2016
Received: from localhost ([127.0.0.1]:51385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bFldr-0007yo-LO
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2016 13:08:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david@HIDDEN>) id 1bFlHD-0007Pj-Gm
 for submit <at> debbugs.gnu.org; Wed, 22 Jun 2016 12:45:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <david@HIDDEN>) id 1bFlH5-0007YR-DL
 for submit <at> debbugs.gnu.org; Wed, 22 Jun 2016 12:45:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47186)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <david@HIDDEN>) id 1bFlH4-0007XV-7O
 for submit <at> debbugs.gnu.org; Wed, 22 Jun 2016 12:45:11 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34043)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <david@HIDDEN>) id 1bFlGx-0007gO-0M
 for bug-guix@HIDDEN; Wed, 22 Jun 2016 12:45:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <david@HIDDEN>) id 1bFlGu-0007Td-8u
 for bug-guix@HIDDEN; Wed, 22 Jun 2016 12:45:02 -0400
Received: from mail-yw0-x234.google.com ([2607:f8b0:4002:c05::234]:35573)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <david@HIDDEN>) id 1bFlGt-0007TW-26
 for bug-guix@HIDDEN; Wed, 22 Jun 2016 12:45:00 -0400
Received: by mail-yw0-x234.google.com with SMTP id l125so47257884ywb.2
 for <bug-guix@HIDDEN>; Wed, 22 Jun 2016 09:44:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=craven.ch; s=google;
 h=mime-version:from:date:message-id:subject:to;
 bh=ndh6la6DVyg8NsZCpSJVclo+y/waNZNtkLdwTwKT85k=;
 b=AmruzggHGmjHAhbpJj4fHW2So3O4RViWGLaODUilEz6fEGox5naMgGixfhsolyk3DE
 V/SbnsaFFzdUURQNWNKrom/A8dVxMFfy8FNkI+XTNNLEpks3VpEs3ytj9rny7Sm0kGT5
 tgmKpAVDdmupCzL/OBMtWUkkgEBWyoXogX9A8=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=ndh6la6DVyg8NsZCpSJVclo+y/waNZNtkLdwTwKT85k=;
 b=VENNnCHfCeWAnJH9iZfRpCIaJdkWnxJcZL27z41pQw+B8lyekp/N8cnXjHJ6Mm/5SL
 sADXFo4vcFC+4QqBLEagXlzCfh8hEDLg2lVHIKJXR9fYE12r+CcCGt4wjEodw7IFFxZl
 6UFQxthOV+atqQGD/PQv435jgH7iyBUHnoIq3djK5uO93digF3FxzMLqaE2qanPEH/kv
 VAvJ2kMISEP5uLvIeXNOpahpbIknVtGTYLrDzOmgi+GrJ0fn6m6ENIIny3yUGkPbc3kN
 faXjAgQAQVhQxCjdg1rxJBQDbLw2bAM4gno/E6F+koixikaQOvdTrWMhzOH467tEy0KW
 hH5w==
X-Gm-Message-State: ALyK8tJBECIz+6Hi9yjyvFZBUNe4bzi001tnyLbkOXp/cJbo8j1GUlaiRq8pfg2hKaY/9+exS6OpMaVubqQv4g==
X-Received: by 10.13.223.133 with SMTP id i127mr13425637ywe.144.1466613896332; 
 Wed, 22 Jun 2016 09:44:56 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.37.106.137 with HTTP; Wed, 22 Jun 2016 09:44:55 -0700 (PDT)
X-Originating-IP: [151.248.148.210]
From: David Craven <david@HIDDEN>
Date: Wed, 22 Jun 2016 18:44:55 +0200
Message-ID: <CAL1_imns2U96NP-CWhU3uxN7+MDmnL9MEBPHNym=cGnqZ_2PaA@HIDDEN>
Subject: unsupported sexp item type #f ```
To: bug-guix@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 22 Jun 2016 13:08:41 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Maybe not a bug, but I'm getting the same backtrace when trying to run
./guix archive or ./guix package -i guix or ./guix pull.

Trying to install guix 0.10.0 binary tarball on nixos.

```nix
users.users = {
    guixbuild1 = {
      isSystemUser = true;
      group = "guixbuild";
    };
  };

  users.groups.guixbuild = {};
```

```sh
bin  sudo ./guix archive --authorize < ../share/guix/hydra.gnu.org.pub

/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin
warning: failed to install locale: Invalid argument
Backtrace:
In ice-9/boot-9.scm:
 157: 17 [catch #t #<catch-closure 18097a0> ...]
In unknown file:
   ?: 16 [apply-smob/1 #<catch-closure 18097a0>]
In ice-9/boot-9.scm:
  63: 15 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 14 [eval # #]
In ice-9/boot-9.scm:
2401: 13 [save-module-excursion #<procedure 1826940 at
ice-9/boot-9.scm:4045:3 ()>]
4050: 12 [#<procedure 1826940 at ice-9/boot-9.scm:4045:3 ()>]
1724: 11 [%start-stack load-stack ...]
1729: 10 [#<procedure 183eea0 ()>]
In unknown file:
   ?: 9 [primitive-load
"/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin/.guix-real"]
In guix/ui.scm:
1188: 8 [run-guix-command archive "--authorize"]
In ice-9/boot-9.scm:
 157: 7 [catch srfi-34 #<procedure 276d1c0 at guix/ui.scm:419:2 ()> ...]
 157: 6 [catch system-error ...]
In guix/scripts/archive.scm:
 328: 5 [#<procedure 276c7b0 at guix/scripts/archive.scm:318:2 ()>]
 303: 4 [authorize-key]
In ice-9/boot-9.scm:
 702: 3 [map #<procedure sexp->canonical-sexp (sexp)> (#f)]
In guix/pk-crypto.scm:
 375: 2 [sexp->canonical-sexp #f]
In unknown file:
   ?: 1 [call-with-output-string #<procedure 27704a0 at
guix/pk-crypto.scm:376:5 (port)>]
   ?: 0 [scm-error misc-error #f "~A ~S" ("unsupported sexp item type" #f) #f]

ERROR: In procedure scm-error:
ERROR: unsupported sexp item type #f
```




Acknowledgement sent to David Craven <david@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#23828; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Jun 2016 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.